VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6435
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8625
   LinkTopic       =   "Form1"
   ScaleHeight     =   6435
   ScaleWidth      =   8625
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkCombineLines 
      Alignment       =   1  'Right Justify
      Caption         =   "Combine Lines"
      Height          =   255
      Left            =   3360
      TabIndex        =   7
      Top             =   1680
      Value           =   1  'Checked
      Width           =   1335
   End
   Begin VB.TextBox txtOutput 
      Height          =   1575
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   6
      Text            =   "Form1.frx":0000
      Top             =   2160
      Width           =   6135
   End
   Begin VB.CommandButton cmdPrefix 
      Caption         =   "Prefix"
      Height          =   375
      Left            =   5160
      TabIndex        =   5
      Top             =   1680
      Width           =   855
   End
   Begin VB.TextBox txtLineLength 
      Height          =   285
      Left            =   2520
      TabIndex        =   3
      Text            =   "50"
      Top             =   1680
      Width           =   375
   End
   Begin VB.TextBox txtPrefix 
      Height          =   285
      Left            =   600
      TabIndex        =   1
      Text            =   "> "
      Top             =   1680
      Width           =   615
   End
   Begin VB.TextBox txtInput 
      Height          =   1575
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Text            =   "Form1.frx":0006
      Top             =   0
      Width           =   6135
   End
   Begin VB.Label Label1 
      Caption         =   "Line Length"
      Height          =   255
      Index           =   1
      Left            =   1560
      TabIndex        =   4
      Top             =   1680
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Prefix"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   1680
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit



' Prepare this line.
Private Function PrepareLine(ByVal txt_in As String, ByVal prefix As String, ByVal line_length As Integer) As String
Dim result As String
Dim words() As String
Dim new_line As String
Dim i As Integer

    ' Do nothing if the string is blank.
    If Len(txt_in) < 1 Then Exit Function

    ' Break the line into words.
    words = Split(txt_in, " ")

    ' Add the words to the output.
    new_line = words(0)
    For i = 1 To UBound(words, 1)
        ' See if the word will fit.
        If Len(new_line) + Len(words(i)) >= line_length Then
            ' It won't fit. Add the new line to the output.
            result = result & prefix & new_line & vbCrLf

            ' Start the new line with the word.
            new_line = words(i)
        Else
            ' The word will fit.
            new_line = new_line & " " & words(i)
        End If
    Next i

    ' Add the last line.
    result = result & prefix & new_line & vbCrLf

    ' Return the result.
    PrepareLine = result
End Function

' Break the input text into lines of length <=
' line_length. Then begin each with prefix.
Private Function PrepareMailText(ByVal txt_in As String, ByVal prefix As String, ByVal line_length As Integer, ByVal combine_lines As Boolean) As String
Dim result As String
Dim lines() As String
Dim i As Integer

    ' If we should combine lines, replace vbCrLf with spaces.
    If combine_lines Then
        txt_in = Trim$(Replace(txt_in, vbCrLf, " "))
    End If

    ' Split the text into lines.
    lines = Split(txt_in, vbCrLf)

    ' Process the lines.
    For i = LBound(lines, 1) To UBound(lines, 1)
        result = result & PrepareLine(lines(i), prefix, line_length)
    Next i

    ' Return the result.
    PrepareMailText = result
End Function
Private Sub cmdPrefix_Click()
    txtOutput.Text = PrepareMailText( _
        txtInput.Text, txtPrefix.Text, _
        CInt(txtLineLength.Text), _
        chkCombineLines.Value = vbChecked)
End Sub

Private Sub Form_Resize()
Const GAP = 60
Dim hgt As Single

    hgt = (ScaleHeight - cmdPrefix.Height - 2 * GAP) / 2
    If hgt < 120 Then hgt = 120
    txtInput.Move 0, 0, ScaleWidth, hgt

    Label1(0).Top = (ScaleHeight - Label1(0).Height) / 2
    Label1(1).Top = Label1(0).Top
    txtPrefix.Top = (ScaleHeight - txtPrefix.Height) / 2
    txtLineLength.Top = txtPrefix.Top
    chkCombineLines.Top = txtPrefix.Top
    cmdPrefix.Top = txtPrefix.Top

    txtOutput.Move 0, ScaleHeight - hgt, ScaleWidth, hgt
End Sub


